Read Product
GET
HTTPBearerheader
AuthorizationBearer <token>internal_product_id*Internal Product IdFormat
uuidSuccessful Response
application/json- response
id*IdFormat
uuidowner_id*Owner Idtitle?string|nullbody_html?string|nullhandle?string|nullvendor?string|nullproduct_type?string|nullcategory?string|nullcategory_full_name?string|nullseo_title?string|nullseo_description?string|nullsource_type?string|nullsource_url?string|nullcurrency?|nullsource_payload?|nullimport_extras?|nullcreated_at*Created AtFormat
date-timeupdated_at*Updated AtFormat
date-timetags*array<string>auto_tags*array<string>options*array<>variants*array<>images*array<>store_links*array<>curl -X GET 'https://app.copyhero.app/api/v1/products/497f6eca-6276-4993-bfeb-53cbbbba6f08'Example Response
{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "owner_id": 0, "title": "string", "body_html": "string", "handle": "string", "vendor": "string", "product_type": "string", "category": "string", "category_full_name": "string", "seo_title": "string", "seo_description": "string", "source_type": "string", "source_url": "string", "currency": "AED", "source_payload": {}, "import_extras": {}, "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z", "tags": [ "string" ], "auto_tags": [ "string" ], "options": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "position": 0, "values": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "value": "string", "position": 0 } ] } ], "variants": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "sku": "string", "title": "string", "price": "string", "compare_at_price": "string", "image_src": "string" } ], "images": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "src": "string", "position": 0, "alt_text": "string", "thumbnail_url": "string", "blur_data_url": "string" } ], "store_links": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "store_id": 0, "store_name": "string", "store_url": "string", "store_domain": "string", "push_blueprint_id": 0, "push_blueprint_name": "string", "store_backend_product_id": "string", "store_backend_handle": "string", "sync_state": "string", "last_pushed_at": "2019-08-24T14:15:22Z", "last_pulled_at": "2019-08-24T14:15:22Z", "last_webhook_at": "2019-08-24T14:15:22Z", "remote_deleted_at": "2019-08-24T14:15:22Z", "last_sync_error": "string", "snapshot": { "id": 0, "backend_product_id": "string", "title": "string", "handle": "string", "body_html": "string", "vendor": "string", "product_type": "string", "seo_title": "string", "seo_description": "string", "published_at": "string", "remote_created_at": "string", "remote_updated_at": "string", "tags": [ "string" ], "options": [ { "id": 0, "name": "string", "position": 0, "values": [ { "id": 0, "value": "string", "position": 0 } ] } ], "variants": [ { "id": 0, "backend_variant_id": "string", "title": "string", "sku": "string", "price": "string", "compare_at_price": "string", "position": 0, "image_src": "string", "available": true, "selected_options": [ "string" ] } ], "images": [ { "id": 0, "backend_image_id": "string", "src": "string", "internal_url": "string", "position": 0, "width": 0, "height": 0 } ], "featured_image": "string" } } ]}